import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { PpUnicomWhiteLot } from '../models/index' 
/**
 * @author auto generate
 * @version 1.1
 * @date 2021-08-09 17:45
 */
interface PpUnicomWhiteLotCU extends ConditionUtil<PpUnicomWhiteLotCU>{
    LOT_ID:FieldUtil<PpUnicomWhiteLotCU>;
    CREATE_TIME:FieldUtil<PpUnicomWhiteLotCU>;
}

class PpUnicomWhiteLotCUImpl extends ConditionUtilImpl<PpUnicomWhiteLotCUImpl> implements PpUnicomWhiteLotCU{ 
    newInstance(): PpUnicomWhiteLotCUImpl {
        return new PpUnicomWhiteLotCUImpl();
    } 
    get LOT_ID(): FieldUtil<PpUnicomWhiteLotCU>{  
        return new FieldUtil('LOT_ID','lotId','车场ID', this);
    }
    get CREATE_TIME(): FieldUtil<PpUnicomWhiteLotCU>{  
        return new FieldUtil('CREATE_TIME','createTime','创建时间', this);
    }
}

@Singleton 
class PpUnicomWhiteLotMU extends TableUtilImpl<PpUnicomWhiteLotCU,PpUnicomWhiteLot>{ 
    tableName  = 'pp_unicom_white_lot';
    tableFields  = ['LOT_ID','CREATE_TIME'];
    modelFields  = ['lotId','createTime'];
    modelIdFields  = ['lotId'];
    tableIdFields  = ['LOT_ID'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): PpUnicomWhiteLotCU {
        return new PpUnicomWhiteLotCUImpl();
    }   

    static get LOT_ID(): FieldUtil<PpUnicomWhiteLotCU>{ 
        return new FieldUtil('LOT_ID','lotId','车场ID', new PpUnicomWhiteLotCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<PpUnicomWhiteLotCU>{ 
        return new FieldUtil('CREATE_TIME','createTime','创建时间', new PpUnicomWhiteLotCUImpl());
    }

    get LOT_ID(): FieldUtil<PpUnicomWhiteLotCU>{ 
        return PpUnicomWhiteLotMU.LOT_ID;
    }
    get CREATE_TIME(): FieldUtil<PpUnicomWhiteLotCU>{ 
        return PpUnicomWhiteLotMU.CREATE_TIME;
    }
}
export {PpUnicomWhiteLotMU, PpUnicomWhiteLotCU}
